Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.set
Class AbstractSetDecorator

    java.lang.Object
      |
      +--org.apache.commons.collections.collection.AbstractCollectionDecorator
            |
            +--org.apache.commons.collections.set.AbstractSetDecorator

All Implemented Interfaces:
  Collection, Set

Direct Known Subclasses:
  AbstractSerializableSetDecorator, AbstractSortedSetDecorator, UnmodifiableEntrySet

public abstract class AbstractSetDecorator
extends AbstractCollectionDecorator
implements Set

Decorates another `Set` to provide additional behaviour.

Methods are forwarded directly to the decorated set.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/06/02 21:53:03 $
Author:
  Stephen Colebourne

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` | `AbstractSetDecorator()` Constructor only used in deserialization, do not use otherwise.
`protected` | `AbstractSetDecorator(Set set)` Constructor that wraps (not copies).

Method Summary
`protected Set` | `getSet()` Gets the set being decorated.

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractSetDecorator

    protected AbstractSetDecorator()

  Constructor only used in deserialization, do not use otherwise.

Since:
  Commons Collections 3.1

### AbstractSetDecorator

    protected AbstractSetDecorator(Set set)

  Constructor that wraps (not copies).

Parameters:
  `set` - the set to decorate, must not be null
Throws:
  `IllegalArgumentException` - if set is null

Method Detail

### getSet

    protected Set getSet()

  Gets the set being decorated.

  Returns:
    the decorated set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.